Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.spatial
Interface VectorSpatialRepresentation

All Superinterfaces:
  SpatialRepresentation

    @UML(identifier="MD_VectorSpatialRepresentation",
         specification=ISO_19115)
    public interface VectorSpatialRepresentation

extends SpatialRepresentation

Information about the vector spatial objects in the dataset.

Since:
  GeoAPI 2.0

Method Summary
`Collection<? extends GeometricObjects>` | `getGeometricObjects()` Information about the geometric objects used in the dataset.
`TopologyLevel` | `getTopologyLevel()` Code which identifies the degree of complexity of the spatial relationships.

Method Detail

### getTopologyLevel

    @UML(identifier="topologyLevel",
         obligation=OPTIONAL,
         specification=ISO_19115)
    TopologyLevel getTopologyLevel()

  Code which identifies the degree of complexity of the spatial relationships.

### getGeometricObjects

    @UML(identifier="geometricObjects",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends GeometricObjects> getGeometricObjects()

  Information about the geometric objects used in the dataset.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.